# Models

## The ValidationExceptionDto object

```json
{"openapi":"3.0.0","info":{"title":"Flosum Global Settings","version":"1.6.19-dev.1"},"components":{"schemas":{"ValidationExceptionDto":{"type":"object","properties":{"message":{"type":"array","items":{"type":"string"}},"error":{"type":"string","nullable":true},"statusCode":{"type":"number","enum":[100,101,102,103,200,201,202,203,204,205,206,207,208,210,300,301,302,303,304,307,308,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,421,422,423,424,428,429,456,500,501,502,503,504,505,507,508]}},"required":["message","error","statusCode"]}}}}
```

## The ExceptionDto object

```json
{"openapi":"3.0.0","info":{"title":"Flosum Global Settings","version":"1.6.19-dev.1"},"components":{"schemas":{"ExceptionDto":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string","nullable":true},"statusCode":{"type":"number","enum":[100,101,102,103,200,201,202,203,204,205,206,207,208,210,300,301,302,303,304,307,308,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,421,422,423,424,428,429,456,500,501,502,503,504,505,507,508]}},"required":["message","error","statusCode"]}}}}
```

## The AuthorizeResponseDto object

```json
{"openapi":"3.0.0","info":{"title":"Flosum Global Settings","version":"1.6.19-dev.1"},"components":{"schemas":{"AuthorizeResponseDto":{"type":"object","properties":{"url":{"type":"string"},"status":{"type":"number"}},"required":["url","status"]}}}}
```

## The GrantType object

```json
{"openapi":"3.0.0","info":{"title":"Flosum Global Settings","version":"1.6.19-dev.1"},"components":{"schemas":{"GrantType":{"type":"string","enum":["authorization_code","refresh_token"],"description":"OAuth grant type"}}}}
```

## The OAuthTokenBodyDto object

```json
{"openapi":"3.0.0","info":{"title":"Flosum Global Settings","version":"1.6.19-dev.1"},"components":{"schemas":{"OAuthTokenBodyDto":{"type":"object","properties":{"grant_type":{"description":"OAuth grant type","allOf":[{"$ref":"#/components/schemas/GrantType"}]},"code":{"type":"string","description":"Authorization code extracted from the OAuth `/authorize` response parameters (used when `grant_type=authorization_code`)."},"refresh_token":{"type":"string","description":"Refresh token extracted from the OAuth `/token` response parameters (used when `grant_type=refresh_token`)."},"redirect_uri":{"type":"string","description":"Allowed redirect URI"},"client_id":{"type":"string","description":"Client identifier (from connected app)"},"client_secret":{"type":"string","description":"Client secret (from connected app)"}},"required":["grant_type","redirect_uri","client_id","client_secret"]},"GrantType":{"type":"string","enum":["authorization_code","refresh_token"],"description":"OAuth grant type"}}}}
```

## The TokenResponseDto object

```json
{"openapi":"3.0.0","info":{"title":"Flosum Global Settings","version":"1.6.19-dev.1"},"components":{"schemas":{"TokenResponseDto":{"type":"object","properties":{"access_token":{"type":"string"},"token_type":{"type":"string"},"refresh_token":{"type":"string","nullable":true},"expires_in":{"type":"number"}},"required":["access_token","token_type","refresh_token","expires_in"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flosum.com/api/api-pt-br/api-de-configuracoes-globais/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
